KeyError: 'General' when running mythbuntu-control-centre from terminal in a live session

Bug #1663468 reported by Po-Hsu Lin on 2017-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mythbuntu
Undecided
Unassigned
mythbuntu-control-centre (Ubuntu)
Undecided
Unassigned

Bug Description

Steps:
1. Download 16.04.2 dailylive (Feb.9) image and boot to live desktop
2. Run mythbuntu-control-centre from a terminal

Results:
* I can open mythbuntu-control-centre and it looks ok, but I can see these errors from the terminal.

(This issue can be found in 16.04.1 Mythbuntu image as well)

mythbuntu@mythbuntu:~$ mythbuntu-control-centre
/usr/lib/python3/dist-packages/MythbuntuControlCentre/plugin.py:30: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
WARNING: Failed to set from config file. Setting defaults
Traceback (most recent call last):
  File "/usr/lib/python3.5/configparser.py", line 1135, in _unify_values
    sectiondict = self._sections[section]
KeyError: 'General'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/mythbuntu/plugins/python/mythbuntu-bare.py", line 85, in captureState
    self.changes['serverip'] = self.config.get("General", "serverip")
  File "/usr/lib/python3.5/configparser.py", line 778, in get
    d = self._unify_values(section, vars)
  File "/usr/lib/python3.5/configparser.py", line 1138, in _unify_values
    raise NoSectionError(section)
configparser.NoSectionError: No section: 'General'

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: mythbuntu-control-centre 0.64.1
ProcVersionSignature: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11
Uname: Linux 4.8.0-36-generic i686
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: i386
CasperVersion: 1.376.2
CurrentDesktop: XFCE
Date: Fri Feb 10 04:25:39 2017
LiveMediaBuild: Mythbuntu 16.04.2 LTS "Xenial Xerus" - Release i386 (20170209)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=zh_TW.UTF-8
 SHELL=/bin/bash
SourcePackage: mythbuntu-control-centre
UpgradeStatus: No upgrade log present (probably fresh install)

Po-Hsu Lin (cypressyew) wrote :
description: updated
Po-Hsu Lin (cypressyew) on 2017-02-10
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1663468

tags: added: iso-testing
Po-Hsu Lin (cypressyew) on 2017-02-10
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers